CHFN(1)

NOME
chfn - cambia il nome dell'utente e altre informazioni

SINOSSI

chfn [opzioni] [LOGIN]

DESCRIZIONE

The chfn command changes user fullname, office room number, office phone number, and home phone number information for a user's account. This information is typically printed by finger(1) and similar programs. A normal user may only change the fields for her own account, subject to the restrictions in /etc/login.defs. (The default configuration is to prevent users from changing their fullname.) The superuser may change any field for any account. Additionally, only the superuser may use the -o option to change the undefined portions of the GECOS field.

These fields must not contain any colons. Except for the other field, they should not contain any comma or equal sign. It is also recommended to avoid non-US-ASCII characters, but this is only enforced for the phone numbers. The other field is used to store accounting information used by other applications.

OPZIONI

The options which apply to the chfn command are:

-f, --full-name FULL_NAME
    Cambia il nome completo dell'utente.

-h, --home-phone HOME_PHONE
    Cambia il numero di telefono di casa dell'utente.

-o, --other OTHER
    Cambia il campo GECOS per le altre informazioni. Questo campo viene utilizzato per memorizzare informazioni di «accounting» usate da altre applicazioni, e può essere modificato solo dal super utente.

-r, --room ROOM_NUMBER
    Cambia il numero della stanza dell'utente.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-u, --help
    Mostra un messaggio di aiuto ed esce.

-w, --work-phone WORK_PHONE
    Cambia il numero di telefono di lavoro dell'utente.

If none of the options are selected, chfn operates in an interactive fashion, prompting the user with the current values for all of the fields. Enter the new value to change the field, or leave the line blank to use the current value. The current value is displayed between a pair of [ ] marks. Without options, chfn prompts for the current user account.

CONFIGURAZIONE

The following configuration variables in /etc/login.defs change the behavior of this tool:

FILE

/etc/login.defs
    Configurazione del pacchetto password shadow

/etc/passwd
    Informazioni sugli account utente.

VEDERE ANCHE

chsh(1), login.defs(5), passwd(5).